From b63cecc79bb6242cb3dbe192a42d4d6ec51a133a Mon Sep 17 00:00:00 2001
From: shtayerc <david.murko@mailbox.org>
Date: Mon, 17 Jun 2019 23:11:33 +0200
Subject: [PATCH 1/6] Aerc package

---
 srcpkgs/aerc/template | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
 create mode 100644 srcpkgs/aerc/template

diff --git a/srcpkgs/aerc/template b/srcpkgs/aerc/template
new file mode 100644
index 00000000000..099b13c43f3
--- /dev/null
+++ b/srcpkgs/aerc/template
@@ -0,0 +1,21 @@
+# Template file for 'aerc'
+pkgname=aerc
+version=0.1.2
+revision=1
+makedepends="go scdoc git"
+depends="python3-colorama"
+short_desc="The world's best email client"
+maintainer="shtayerc <david.murko@mailbox.org>"
+license="MIT"
+homepage="https://aerc-mail.org"
+distfiles="https://git.sr.ht/~sircmpwn/aerc/archive/${version}.tar.gz"
+checksum=37b58c32dbaa4395deb12974b92ed0725cb248e348b7f45bdc4354f548cbf4be
+
+do_build() {
+	make
+}
+
+do_install() {
+	make PREFIX=/usr install
+	vlicense LICENSE
+}

From e2ab3444510ddd2811bf0a65e569a3757e1edbba Mon Sep 17 00:00:00 2001
From: shtayerc <david.murko@mailbox.org>
Date: Mon, 17 Jun 2019 23:47:29 +0200
Subject: [PATCH 2/6] New package: aerc

---
 srcpkgs/aerc/template | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/aerc/template b/srcpkgs/aerc/template
index 099b13c43f3..f2bd4153762 100644
--- a/srcpkgs/aerc/template
+++ b/srcpkgs/aerc/template
@@ -2,9 +2,10 @@
 pkgname=aerc
 version=0.1.2
 revision=1
+archs="i686 x86_64 x86_64-musl"
 makedepends="go scdoc git"
 depends="python3-colorama"
-short_desc="The world's best email client"
+short_desc="Terminal email client"
 maintainer="shtayerc <david.murko@mailbox.org>"
 license="MIT"
 homepage="https://aerc-mail.org"

From 78f56daac4c65f19924b942156daf82fc6731004 Mon Sep 17 00:00:00 2001
From: shtayerc <david.murko@mailbox.org>
Date: Tue, 18 Jun 2019 00:12:51 +0200
Subject: [PATCH 3/6] hostmakedepends and build_style used

---
 srcpkgs/aerc/template | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/aerc/template b/srcpkgs/aerc/template
index f2bd4153762..2ad2937fe7a 100644
--- a/srcpkgs/aerc/template
+++ b/srcpkgs/aerc/template
@@ -2,8 +2,8 @@
 pkgname=aerc
 version=0.1.2
 revision=1
-archs="i686 x86_64 x86_64-musl"
-makedepends="go scdoc git"
+build_style=gnu-makefile
+hostmakedepends="go scdoc git"
 depends="python3-colorama"
 short_desc="Terminal email client"
 maintainer="shtayerc <david.murko@mailbox.org>"
@@ -12,11 +12,6 @@ homepage="https://aerc-mail.org"
 distfiles="https://git.sr.ht/~sircmpwn/aerc/archive/${version}.tar.gz"
 checksum=37b58c32dbaa4395deb12974b92ed0725cb248e348b7f45bdc4354f548cbf4be
 
-do_build() {
-	make
-}
-
-do_install() {
-	make PREFIX=/usr install
+post_install() {
 	vlicense LICENSE
 }

From 65ad18b22ae119524be86e00130d0ddf86b83039 Mon Sep 17 00:00:00 2001
From: shtayerc <david.murko@mailbox.org>
Date: Tue, 18 Jun 2019 00:29:01 +0200
Subject: [PATCH 4/6] install without DESTDIR

---
 srcpkgs/aerc/template | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/srcpkgs/aerc/template b/srcpkgs/aerc/template
index 2ad2937fe7a..cd57f1c22d7 100644
--- a/srcpkgs/aerc/template
+++ b/srcpkgs/aerc/template
@@ -12,6 +12,10 @@ homepage="https://aerc-mail.org"
 distfiles="https://git.sr.ht/~sircmpwn/aerc/archive/${version}.tar.gz"
 checksum=37b58c32dbaa4395deb12974b92ed0725cb248e348b7f45bdc4354f548cbf4be
 
+do_install() {
+	make STRIP=true PREFIX=/usr install
+}
+
 post_install() {
 	vlicense LICENSE
 }

From 2700077fe01d8ec26201a43bf1ca0cfb1e9a4381 Mon Sep 17 00:00:00 2001
From: shtayerc <david.murko@mailbox.org>
Date: Tue, 18 Jun 2019 00:51:16 +0200
Subject: [PATCH 5/6] archs added back

---
 srcpkgs/aerc/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/aerc/template b/srcpkgs/aerc/template
index cd57f1c22d7..26402f1e4d7 100644
--- a/srcpkgs/aerc/template
+++ b/srcpkgs/aerc/template
@@ -4,6 +4,7 @@ version=0.1.2
 revision=1
 build_style=gnu-makefile
 hostmakedepends="go scdoc git"
+archs="i686 x86_64 x86_64-musl"
 depends="python3-colorama"
 short_desc="Terminal email client"
 maintainer="shtayerc <david.murko@mailbox.org>"

From 700a0a6a18b9387ebbe195c02e8d5aca5eaa342a Mon Sep 17 00:00:00 2001
From: shtayerc <david.murko@mailbox.org>
Date: Tue, 18 Jun 2019 00:56:51 +0200
Subject: [PATCH 6/6] Fix xlint

---
 srcpkgs/aerc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/aerc/template b/srcpkgs/aerc/template
index 26402f1e4d7..42f4c0303f0 100644
--- a/srcpkgs/aerc/template
+++ b/srcpkgs/aerc/template
@@ -2,9 +2,9 @@
 pkgname=aerc
 version=0.1.2
 revision=1
+archs="i686 x86_64 x86_64-musl"
 build_style=gnu-makefile
 hostmakedepends="go scdoc git"
-archs="i686 x86_64 x86_64-musl"
 depends="python3-colorama"
 short_desc="Terminal email client"
 maintainer="shtayerc <david.murko@mailbox.org>"
